ALTER SEQUENCE multilog.performance_id_seq RENAME TO syslog_performance_id_seq;
ALTER TABLE multilog.performance RENAME CONSTRAINT pk_performance TO pk_syslog_performance;
ALTER INDEX multilog.idx_performance_time RENAME TO idx_syslog_performance_time;
ALTER TABLE multilog.performance RENAME TO syslog_performance;
  
CREATE TABLE multilog.trap_performance
(
  id serial NOT NULL,
  "time" timestamp without time zone,
  received bigint,
  obfuscated bigint,
  CONSTRAINT pk_trap_performance PRIMARY KEY (id)
);
ALTER TABLE multilog.trap_performance OWNER TO postgres;
CREATE INDEX idx_trap_performance_time ON multilog.trap_performance USING btree("time");

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(6, current_timestamp);