update core.cip_sys_module set name = 'EventLog', tag = 'eventlog', settings_item = 'EventLog settings' where name = 'MultiLog';
update core.cip_sys_module set name = 'NetFlow', tag = 'netflow', settings_item = 'NetFlow settings' where name = 'Flow';
update core.cip_sys_module set name = 'MediaNet', tag = 'medianet', settings_item = 'MediaNet settings' where name = 'Media';

update public.system_property set tag = 'netflow' where tag = 'flow';
update public.system_property set tag = 'medianet' where tag = 'media';
update public.system_property set tag = 'eventlog' where tag = 'multilog';

update core.favorite set module = 'netflow' where module = 'flow';

delete from public.user_property where tag = 'MultiLog Service';
update public.user_property set tag = 'netflow' where tag = 'flow';
update public.user_property set tag = 'medianet' where tag = 'media';
update public.user_property set tag = 'eventlog' where tag = 'multilog';

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(28, current_timestamp);