CREATE TABLE multilog.alarm (
  id bigserial,
  name CHARACTER VARYING(100),
  message TEXT,
  level INTEGER,
  alarm_type CHARACTER VARYING(20),
  criterion BIGINT NOT NULL,
  CONSTRAINT pk_alarm PRIMARY KEY (id),
  CONSTRAINT fk_alarm_criterion FOREIGN KEY (criterion)
      REFERENCES core.criterion (id) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
);


CREATE TABLE multilog.alarm_user
(
  id_alarm bigint NOT NULL,
  id_user integer NOT NULL,
  CONSTRAINT fk_alarm_user_alarm FOREIGN KEY (id_alarm)
      REFERENCES multilog.alarm (id) MATCH FULL
      ON UPDATE NO ACTION ON DELETE CASCADE,
  CONSTRAINT fk_alarm_user_user FOREIGN KEY (id_user)
      REFERENCES login."user" (id_role) MATCH FULL
      ON UPDATE NO ACTION ON DELETE CASCADE
);

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(36, current_timestamp);