-- UPDATE 30.05.2016.
ALTER TABLE wizard.step ADD COLUMN estimate_time bigint;

UPDATE wizard."step" SET estimate_time = 30 WHERE step_content = 'netflow';
UPDATE wizard."step" SET estimate_time = 15 WHERE step_content = 'eventlog';
UPDATE wizard."step" SET estimate_time = 15 WHERE step_content = 'pattern';
UPDATE wizard."step" SET estimate_time = 5 WHERE step_content = 'subnet';

ALTER TABLE wizard.step ADD CONSTRAINT uq_step_step_content UNIQUE (step_content);

UPDATE wizard."step" SET name = 'Configuring NetFlow export' WHERE step_content = 'netflow';
UPDATE wizard."step" SET name = 'Configuring EventLog export' WHERE step_content = 'eventlog';
UPDATE wizard."step" SET name = 'Adding Traffic Patterns' WHERE step_content = 'pattern';
UPDATE wizard."step" SET name = 'Adding Subnets' WHERE step_content = 'subnet';
   
INSERT INTO framework.db_version(patch_number, patch_date) VALUES (55, current_timestamp);
