ALTER TABLE netflow_conf.alarm
RENAME COLUMN objectid TO object_id_included;

ALTER TABLE netflow_conf.alarm
ALTER COLUMN object_id_included TYPE text;

ALTER TABLE netflow_conf.alarm
ADD COLUMN object_id_excluded text;

CREATE OR REPLACE FUNCTION ip_contains(IN host inet, IN subnet inet)
RETURNS boolean
AS 'select $1 <<= $2'
LANGUAGE SQL IMMUTABLE STRICT;

ALTER FUNCTION ip_contains(IN host inet, IN subnet inet)
  OWNER TO postgres;

UPDATE netflow_conf.alarm
SET object_id_included = regexp_replace(regexp_replace(object_id_included,':\d+:\d+$', ''), '-', ';')
WHERE volume_alarm IS TRUE AND objecttype = 'CONVERSATION' AND scopetype IN ('USER', 'PATTERN');

-- UPDATE 31.10.2016. Unique Constraint for device_type NVDEV-488

CREATE TABLE temp_device_device_type (
	id_device integer NOT NULL,
	id_device_type integer NOT NULL
);

INSERT INTO temp_device_device_type
	SELECT DISTINCT * FROM typology.device_device_type;

DELETE FROM typology.device_device_type;

INSERT INTO typology.device_device_type
	SELECT * FROM temp_device_device_type;

DROP TABLE temp_device_device_type;

-- END UPDATE 31.10.2016.
  
INSERT INTO framework.db_version(patch_number, patch_date) VALUES (60, current_timestamp);