update core.permission_module pm set security_level = 'USER'
where pm.id_permission_module in (
    select pm.id_permission_module from login."user" us
inner join core.permission_module pm on pm.id_role = us.id_role
inner join core.cip_sys_module csm on csm.id_cip_sys_module = pm.id_cip_sys_module 
where csm.name = 'Users'
  and pm.security_level = 'READ'
  and us.username <> 'guest'
);

update core.permission_module pm set security_level = 'GUEST'
where pm.id_permission_module in (
    select pm.id_permission_module from login."user" us
inner join core.permission_module pm on pm.id_role = us.id_role
inner join core.cip_sys_module csm on csm.id_cip_sys_module = pm.id_cip_sys_module 
where csm.name = 'Users'
  and pm.security_level = 'NONE'
);


INSERT INTO framework.db_version(patch_number, patch_date) VALUES(24, current_timestamp);