ALTER TABLE login.user
DROP COLUMN ind_administrator;

ALTER TABLE login.user
ADD COLUMN user_type varchar(20);

UPDATE login.user U
SET user_type = COALESCE((select PM. security_level FROM core.permission_module PM INNER JOIN core.cip_sys_module CSM ON
CSM.id_cip_sys_module = PM.id_cip_sys_module WHERE CSM.name = 'Users' AND PM.id_role = U.id_role), 'GUEST');

DELETE FROM core.permission_module PM
USING core.cip_sys_module CSM
WHERE PM.id_cip_sys_module = CSM.id_cip_sys_module
AND CSM.ordering < 0;

DELETE FROM core.cip_sys_module
WHERE ordering < 0;

UPDATE core.permission_module PM
SET security_level = 'READ' WHERE security_level = 'GUEST';

UPDATE core.permission_module PM
SET security_level = 'WRITE' WHERE security_level = 'ADMIN';


INSERT INTO framework.db_version(patch_number, patch_date) VALUES(31, current_timestamp);