DELETE FROM device.device_property 
WHERE id_device_type_property IN 
	(SELECT id_device_type_property FROM typology.device_type_property WHERE id_device_type IN 
		(SELECT id_device_type FROM typology.device_type WHERE id_parent IS null AND id_device_type <> 1)
		AND name IN ('Register no.', 'Date of delivery', 'Warranty expiration date', 'Purchase no.', 'Supplier'));


DELETE FROM typology.device_type_property 
WHERE id_device_type IN 
	(SELECT id_device_type FROM typology.device_type WHERE id_parent IS null AND id_device_type <> 1)
	AND name in ('Register no.', 'Date of delivery', 'Warranty expiration date', 'Purchase no.', 'Supplier');

UPDATE typology.device_type
SET id_parent = 1
WHERE id_parent IS null AND id_device_type <> 1;


INSERT INTO typology.resource_category 
(id_resource_category, name, description, ind_system) 
VALUES (100, 'Model', 'Model', TRUE);

INSERT INTO typology.resource_type 
(id_resource_type, id_device_type, id_resource_category, discriminator, name, oid_prefix, id_value_type, ordering, ind_system, ind_active)
VALUES (100, 1, 100, 'DEVICE_TYPE', 'Model', '.1.3.6.1.2.1.1.2', 4, 1, TRUE, TRUE);

DROP TABLE core.property_simple;
DROP TABLE core.property_snmp;
DROP TABLE core.property_regex;
DROP TABLE core.property_expression;
DROP TABLE core.property;

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(40, current_timestamp);