ALTER TABLE device.subdevice_ip_address 
ADD COLUMN "exporter" BOOLEAN DEFAULT FALSE;

UPDATE device.subdevice_ip_address
SET exporter = 'TRUE'
WHERE host(ip_address::INET)::INET 
IN (
SELECT DISTINCT exporter FROM netflow.exporter_device_total_g1
UNION
SELECT DISTINCT exporter FROM netflow.exporter_device_total_g2
UNION 
SELECT DISTINCT exporter FROM netflow.exporter_device_total_g3);

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(43, current_timestamp);