DO $$
BEGIN
	IF NOT EXISTS (SELECT 1 FROM mib.mib_element where oid = '.1.0')
	THEN
			INSERT INTO mib.mib_element (oid, name, status) VALUES ('.1.0', 'std', 'current');
			UPDATE mib.mib_element SET id_mib_element_parent = (SELECT id_mib_element FROM mib.mib_element WHERE oid = '.1') WHERE oid = '.1.0';

			INSERT INTO mib.mib_element (oid, name, status) VALUES ('.1.0.8802', 'iso8802', 'current');
			UPDATE mib.mib_element SET id_mib_element_parent = (SELECT id_mib_element FROM mib.mib_element WHERE oid = '.1.0') WHERE oid = '.1.0.8802';

			INSERT INTO mib.mib_element (oid, name, status) VALUES ('.1.0.8802.1', 'ieee802dot1', 'current');
			UPDATE mib.mib_element SET id_mib_element_parent = (SELECT id_mib_element FROM mib.mib_element WHERE oid = '.1.0.8802') WHERE oid = '.1.0.8802.1';

			INSERT INTO mib.mib_element (oid, name, status) VALUES ('.1.0.8802.1.1', 'ieee802dot1mibs', 'current');
			UPDATE mib.mib_element SET id_mib_element_parent = (SELECT id_mib_element FROM mib.mib_element WHERE oid = '.1.0.8802.1') WHERE oid = '.1.0.8802.1.1';
	END IF;
END $$;

INSERT INTO framework.db_version(patch_number, patch_date) VALUES (51, current_timestamp);
