-- UPDATE 06.06.2016.
INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time) 
VALUES ('Start using End Users', 'endusers', 'INCOMPLETE', 5, FALSE, 'END_USER_EXISTS_CHECK', 4, 30);

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time) 
VALUES ('Adding Alarms', 'netflowalarm', 'INCOMPLETE', 8, FALSE, 'NETFLOW_ALARM_CHECK', 4, 5);
-- END UPDATE 06.06.2016.

-- UPDATE 10.06.2016.
ALTER TABLE wizard.step
   ADD COLUMN module_independent boolean NOT NULL DEFAULT FALSE;
COMMENT ON COLUMN wizard.step.module_independent
  IS 'Da li se prikazuje bez obzira na aktivne module';

ALTER TABLE wizard.step ALTER COLUMN module_id DROP NOT NULL;

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time, module_independent) 
VALUES ('Adding email server', 'mailserver', 'INCOMPLETE', 7, FALSE, 'EMAIL_SETTINGS_CHECK', NULL, 5, TRUE);

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time, module_independent) 
VALUES ('Adding SNMP policy', 'snmppolicy', 'INCOMPLETE', 9, FALSE, 'SNMP_POLICY_CHECK', NULL, 5, TRUE);

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time, module_independent) 
VALUES ('Changing data storage', 'datastorage', 'INCOMPLETE', 10, FALSE, 'DATABASE_SIZE_CONF_CHECK', NULL, 10, TRUE);

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time, module_independent) 
VALUES ('Changing default login credentials', 'logincredentials', 'INCOMPLETE', 11, FALSE, 'DEFAULT_CREDENTIALS_CHECK', NULL, 5, TRUE);
-- END UPDATE 10.06.2016.

-- UPDATE 13.06.2016.
-- ovo su neki defaulti koji fale u bazi, a potrebni su za "Changing data storage" step.
INSERT INTO framework.system_property (name, tag, type, value) 
VALUES ('DATABASE_SIZE_GB', 'netflow', 'DOUBLE', '100.0');

INSERT INTO framework.system_property (name, tag, type, value) 
VALUES ('ARCHIVE_MIN_DAYS', 'netflow', 'INTEGER', '30');

INSERT INTO wizard."step" (name, step_content, state, position_index, mandatory, "type", module_id, estimate_time, module_independent) 
VALUES ('Adding application users', 'appuser', 'INCOMPLETE', 6, FALSE, 'USER_ADDED_CHECK', NULL, 5, TRUE);
-- END UPDATE 13.06.2016.

INSERT INTO framework.db_version(patch_number, patch_date) VALUES (56, current_timestamp);